framework:
    messenger:
        # Uncomment this (and the failed transport below) to send failed messages to this transport for later handling.
        # failure_transport: failed

        transports:
            # https://symfony.com/doc/current/messenger.html#transport-configuration
            async: '%env(MESSENGER_TRANSPORT_DSN)%'
            failed: '%env(MESSENGER_TRANSPORT_DSN)%?queue_name=failed'
            sync: 'sync://'

        routing:
            # Route your messages to the transports
            'App\Message\Message\Mailer': async
            'App\Message\Message\Export': async
            'App\Message\Message\Typo3\Typo3Update': async
            'App\Message\Message\Typo3\Typo3Delete': async
            'App\Message\Message\Typo3\Typo3Undelete': async
            'App\Message\Message\OrganizationCreation': async
            'App\Message\Message\OrganizationDeletion': async
